Loading...
Searching...
No Matches
pcl::recognition::Hypothesis Class Reference

`#include <pcl/recognition/ransac_based/hypothesis.h>`

Inheritance diagram for pcl::recognition::Hypothesis:

## Public Member Functions

| Hypothesis (const ModelLibrary::Model *obj_model=nullptr)
| Hypothesis (const Hypothesis &src)
| ~Hypothesis () override=default
const Hypothesis & | operator= (const Hypothesis &src)
void | setLinearId (int id)
int | getLinearId () const
void | computeBounds (float bounds[6]) const
void | computeCenterOfMass (float center_of_mass[3]) const
Public Member Functions inherited from pcl::recognition::HypothesisBase
| HypothesisBase (const ModelLibrary::Model *obj_model)
| HypothesisBase (const ModelLibrary::Model *obj_model, const float *rigid_transform)
virtual | ~HypothesisBase ()=default
void | setModel (const ModelLibrary::Model *model)

## Public Attributes

float | match_confidence_ {-1.0f}
std::set< int > | explained_pixels_
int | linear_id_ {-1}
Public Attributes inherited from pcl::recognition::HypothesisBase
float | rigid_transform_ [12] {}
const ModelLibrary::Model * | obj_model_ {nullptr}

## Detailed Description

Definition at line 81 of file hypothesis.h.

## Constructor & Destructor Documentation

## Hypothesis() [1/2]

pcl::recognition::Hypothesis::Hypothesis | ( | const ModelLibrary::Model * | obj_model = `nullptr` | ) |

inline

Definition at line 84 of file hypothesis.h.

## Hypothesis() [2/2]

pcl::recognition::Hypothesis::Hypothesis | ( | const Hypothesis & | src | ) |

inline

Definition at line 89 of file hypothesis.h.

## ~Hypothesis()

pcl::recognition::Hypothesis::~Hypothesis | ( |  | ) |

override default

## Member Function Documentation

## computeBounds()

void pcl::recognition::Hypothesis::computeBounds | ( | float | bounds[6] | ) | const

inline

Definition at line 122 of file hypothesis.h.

References pcl::recognition::aux::expandBoundingBoxToContainPoint(), pcl::recognition::ModelLibrary::Model::getBoundsOfOctreePoints(), pcl::recognition::HypothesisBase::obj_model_, pcl::recognition::HypothesisBase::rigid_transform_, and pcl::recognition::aux::transform().

## computeCenterOfMass()

void pcl::recognition::Hypothesis::computeCenterOfMass | ( | float | center_of_mass[3] | ) | const

inline

Definition at line 144 of file hypothesis.h.

References pcl::recognition::ModelLibrary::Model::getOctreeCenterOfMass(), pcl::recognition::HypothesisBase::obj_model_, pcl::recognition::HypothesisBase::rigid_transform_, and pcl::recognition::aux::transform().

## getLinearId()

int pcl::recognition::Hypothesis::getLinearId | ( |  | ) | const

inline

Definition at line 116 of file hypothesis.h.

References linear_id_.

## operator=()

const Hypothesis & pcl::recognition::Hypothesis::operator= | ( | const Hypothesis & | src | ) |

inline

Definition at line 99 of file hypothesis.h.

References explained_pixels_, match_confidence_, pcl::recognition::HypothesisBase::obj_model_, and pcl::recognition::HypothesisBase::rigid_transform_.

## setLinearId()

void pcl::recognition::Hypothesis::setLinearId | ( | int | id | ) |

inline

Definition at line 110 of file hypothesis.h.

References linear_id_.

## Member Data Documentation

## explained_pixels_

std::set<int> pcl::recognition::Hypothesis::explained_pixels_

Definition at line 151 of file hypothesis.h.

Referenced by operator=().

## linear_id_

int pcl::recognition::Hypothesis::linear_id_ {-1}

Definition at line 152 of file hypothesis.h.

Referenced by getLinearId(), and setLinearId().

## match_confidence_

float pcl::recognition::Hypothesis::match_confidence_ {-1.0f}

Definition at line 150 of file hypothesis.h.

Referenced by operator=().

The documentation for this class was generated from the following file:

- pcl/recognition/ransac_based/hypothesis.h